<?xml version="1.0" encoding="UTF-8"?>
<!--
   Licensed Materials - Property of IBM
   5724-L01, 5655-N53, 5724-I82, 5655-R15
   (C) Copyright IBM Corporation 2005, 2006. All rights reserved.
   US Government Users Restricted Rights - Use, duplication, or disclosure
   restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<al:alConfig
        targetNamespace="http://www.ibm.com/xmlns/prod/websphere/al/customerx/6.0.0"
        xmlns:al="http://www.ibm.com/xmlns/prod/websphere/al/6.0.0"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.ibm.com/xmlns/prod/websphere/al/6.0.0 ALConfig.xsd">

        <mimeTypes name="ALMimeList">
                <mime>bpel</mime>
                <mime>brgt</mime>
                <mime>dtable</mime>
                <mime>itel</mime>
                <mime>map</mime>
                <mime>mes</mime>
                <mime>mon</mime>
                <mime>es</mime>
                <mime>rel</mime>
                <mime>ri</mime>
                <mime>rol</mime>
                <mime>ruleset</mime>
                <mime>sacl</mime>
                <mime>schema</mime>
                <mime>sel</mime>
                <mime>selt</mime>
                <mime>tel</mime>
                <mime>wsdl</mime>
                <mime>wsdl-schema</mime>
                <mime>xsd</mime>
        </mimeTypes>

        <locator name="J2SEFileSystemLocator">
                <environment>J2SE</environment>
                <implementation>com.ibm.ws.al.locator.CLLocator</implementation>
        </locator>

        <locator name="WASLocator">
                <environment>WAS-6.0</environment>
                <environment>POS-6.0</environment>
                <implementation>com.ibm.ws.al.locator.WASCLLocator</implementation>
        </locator>

        <locator name="ArchiveLocator">
                <environment>Archive</environment>
                <implementation>com.ibm.ws.al.locator.ArchiveLocator</implementation>
        </locator>

        <locator name="AdminLocator">
                <environment>Admin</environment>
                <implementation>com.ibm.ws.al.locator.AdminFSLocator</implementation>
        </locator>

        <locator name="RemoteLocator">
                <environment>Extension</environment>
                <implementation>com.ibm.ws.al.locator.RemoteLocator</implementation>
        </locator>

        <locator name="RemoteWebsphereLocator">
                <environment>Extension</environment>
                <implementation>com.ibm.ws.al.locator.RemoteWebsphereLocator</implementation>
        </locator>

<!--
	NOTE:  the exclusion list uses regular expressions to determine what files
	will be excluded.  The "directory" exclusion regular expression will be
	applied to the file system level and will not be applied within archives.
	The "file" exclusion regular expression will be applied to both the file
	system level and within archives.  The regular expression will be applied
	to segments artifacts' URLs.
	eg. jar:file:/C:/xxx/yyy/zzz.jar!/com/ibm/abc.xsd
	The "directory" exclusions will be applied to /C:/xxx/yyy/zzz.jar only.
	The "file" exclusions will be applied to /C:/xxx/yyy/zzz.jar
	and /com/ibm/abc.xsd
-->

        <exclude name="RTExlusionList">
        	<directory>.*/properties/.*</directory>

                <fileBegin>http://www.ibm.com/webservices/xsd/</fileBegin>
                <fileBegin>http://schemas.xmlsoap.org/soap/encoding/</fileBegin>
                <fileBegin>http://schemas.xmlsoap.org/ws/</fileBegin>
                <fileBegin>http://schemas.xmlsoap.org/wsdl/</fileBegin>
                <fileBegin>http://www.w3.org/</fileBegin>
                <fileBegin>http://xml.apache.org/xml-soap</fileBegin>
                
                <fileEnd>/BusinessGraph.xsd</fileEnd>
                <fileEnd>/DataGraph.xsd</fileEnd>
                <fileEnd>/Map.xsd</fileEnd>
                <fileEnd>/Relationship.xsd</fileEnd>
                <fileEnd>/applied.xsd</fileEnd>
                <fileEnd>/bpevalidation.jar</fileEnd>
                <fileEnd>/brules-model.jar</fileEnd>
                <fileEnd>/brules-scdl.jar</fileEnd>
                <fileEnd>/commonj.connector.jar</fileEnd>
                <fileEnd>/customization-model.jar</fileEnd>
                <fileEnd>/emf.jar</fileEnd>
                <fileEnd>/j2ee.jar</fileEnd>
                <fileEnd>/mail-impl.jar</fileEnd>
                <fileEnd>/mediation_model.jar</fileEnd>
                <fileEnd>/sca-async.jar</fileEnd>
                <fileEnd>/sca-common.jar</fileEnd>
                <fileEnd>/sca-container.jar</fileEnd>
                <fileEnd>/sca-deploy.jar</fileEnd>
                <fileEnd>/sca-ejb.jar</fileEnd>
                <fileEnd>/sca-j2c.jar</fileEnd>
                <fileEnd>/sca-java.jar</fileEnd>
                <fileEnd>/sca-managed.jar</fileEnd>
                <fileEnd>/sca.jar</fileEnd>
                <fileEnd>/scdl-eis.jar</fileEnd>
                <fileEnd>/scdl-ejb.jar</fileEnd>
                <fileEnd>/scdl-java.jar</fileEnd>
                <fileEnd>/scdl-mediation.jar</fileEnd>
                <fileEnd>/scdl-process.jar</fileEnd>
                <fileEnd>/scdl-task.jar</fileEnd>
                <fileEnd>/scdl-webservice.jar</fileEnd>
                <fileEnd>/scdl-wsdl.jar</fileEnd>
                <fileEnd>/scdl.jar</fileEnd>
                <fileEnd>/selector-model.jar</fileEnd>
                <fileEnd>/selector-scdl.jar</fileEnd>
                <fileEnd>/wccm_base.jar</fileEnd>

                <fileContains>/META-INF/</fileContains>
                <fileContains>/WEB-INF/WSDL/</fileContains>

                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/bo/6.0.0</targetNamespace>
                <targetNamespace>http://www.ibm.com/websphere/appserver/schemas/6.0/pmebnd.xmi</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/wbiserver/ifm/6.0.0</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/wbiserver/mfc/6.0.0</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/wbiserver/mfc/6.0.0/custom</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/wbiserver/map/6.0.0</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/wbiserver/rel/6.0.0</targetNamespace>
                <targetNamespace>http://www.eclipse.org/emf/2003/SDO</targetNamespace>
                <targetNamespace>http://www.eclipse.org/emf/2003/XMLType</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/sca/.*</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/scdl/[^:]*</targetNamespace>
                <targetNamespace>http://www.w3.org/1998/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/1999/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/2000/10/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/2001/XMLSchema-instance</targetNamespace>
                <targetNamespace>http://www.w3.org/2001/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/XML/1998/namespace</targetNamespace>
                <targetNamespace>http://schemas.xmlsoap.org/ws/2004/08/addressing</targetNamespace>
                <targetNamespace>http://www.eclipse.org/emf/2002/Ecore</targetNamespace>


     </exclude>

</al:alConfig>
